cascading.flow.planner.rule

## Class RulePartitioner

- java.lang.Object
- - cascading.flow.planner.rule.RulePartitioner

- All Implemented Interfaces:
    Rule
  Direct Known Subclasses:
    ExpressionRulePartitioner, WholeGraphRulePartitioner

      public abstract class RulePartitioner
      extends java.lang.Object
      implements Rule

  The RulePartitioner class is responsible for partitioning an element graph into smaller sub-graphs.

  It may also re-partition a given graph, in place replacing it with its children, if any.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RulePartitioner.PartitionSource`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected GraphPartitioner` | `graphPartitioner`
    `protected LogLevel` | `logLevel`
    `protected RulePartitioner.PartitionSource` | `partitionSource`
    `protected PlanPhase` | `phase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RulePartitioner()`
    `RulePartitioner(LogLevel logLevel, PlanPhase phase, RulePartitioner.PartitionSource partitionSource, GraphPartitioner graphPartitioner)`
    `RulePartitioner(PlanPhase phase, RulePartitioner.PartitionSource partitionSource, GraphPartitioner graphPartitioner)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.Enum[]` | `getAnnotationExcludes()`
    `protected GraphPartitioner` | `getGraphPartitioner()`
    `RulePartitioner.PartitionSource` | `getPartitionSource()`
    `java.lang.String` | `getRuleName()`
    `PlanPhase` | `getRulePhase()`
    `Partitions` | `partition(PlannerContext plannerContext, ElementGraph elementGraph)`
    `Partitions` | `partition(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Collection<FlowElement> excludes)`
    `Partitions` | `performPartition(PlannerContext plannerContext, ElementGraph elementGraph, java.util.Collection<FlowElement> excludes)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### logLevel

          protected LogLevel logLevel

    - #### phase

          protected PlanPhase phase

    - #### partitionSource

          protected RulePartitioner.PartitionSource partitionSource

    - #### graphPartitioner

          protected GraphPartitioner graphPartitioner

  - ### Constructor Detail

    - #### RulePartitioner

          public RulePartitioner(PlanPhase phase,
                         RulePartitioner.PartitionSource partitionSource,
                         GraphPartitioner graphPartitioner)

    - #### RulePartitioner

          public RulePartitioner(LogLevel logLevel,
                         PlanPhase phase,
                         RulePartitioner.PartitionSource partitionSource,
                         GraphPartitioner graphPartitioner)

    - #### RulePartitioner

          public RulePartitioner()

  - ### Method Detail

    - #### getAnnotationExcludes

          public abstract java.lang.Enum[] getAnnotationExcludes()

    - #### getRulePhase

          public PlanPhase getRulePhase()

      Specified by:
        `getRulePhase` in interface `Rule`

    - #### getPartitionSource

          public RulePartitioner.PartitionSource getPartitionSource()

    - #### getGraphPartitioner

          protected GraphPartitioner getGraphPartitioner()

    - #### partition

          public Partitions partition(PlannerContext plannerContext,
                             ElementGraph elementGraph)

    - #### partition

          public Partitions partition(PlannerContext plannerContext,
                             ElementGraph elementGraph,
                             java.util.Collection<FlowElement> excludes)

    - #### performPartition

          public Partitions performPartition(PlannerContext plannerContext,
                                    ElementGraph elementGraph,
                                    java.util.Collection<FlowElement> excludes)

    - #### getRuleName

          public java.lang.String getRuleName()

      Specified by:
        `getRuleName` in interface `Rule`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.